Get an export of the Job Family Skill Profile to leverage it for user interaction. The response includes both governed and suggested Skills, distinguished by their validation_state.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The Domain namespace determines the Domains the Skills will be mapped to. Using techwolf will map them to the default TechWolf domains. Using taxonomy will map them to the custom Domains defined in your Taxonomy. Using adaptive will map the Skills to the Domains in the custom Taxonomy if there is one present, otherwise it will fall back to the default Techwolf Domains.
techwolf, taxonomy, adaptive The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.
Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.
en, en_uk, en_us, de, fr, nl, es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant. When specified, the query parameter include=skill_validation_state will not work, as it is not supported on external vendor Skill Profiles.
techwolf, workday, sap_attribute_library "workday"
Defines the format of the returned Skill Profile.
list, hierarchy "list"
Additional attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
proficiency_level, proficiency_float, critical, properties OK
The default Skill Profile result is returned. The profile consists of a list of Skills with their Domain names and Skill types.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The Skills contained in this profile.
[
{
"skill": "Machine Learning",
"skill_id": "ac3a733e-b258-438d-8d39-9a2837a10e11",
"skill_types": [{ "skill_type": "Family-Specific" }],
"domain_name": "Data Science",
"validation_state": "validated",
"source_data": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"source_data_type": "job_family_profile_data"
},
{
"external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
"source_data_type": "job_profile_data"
}
],
"governed_proficiency_level": 2,
"inferred_proficiency_level": null,
"governed_proficiency_float": 0.4,
"inferred_proficiency_float": null,
"governed_critical": null,
"inferred_critical": null
},
{
"skill": "Python",
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"skill_types": [{ "skill_type": "Family-Specific" }],
"domain_name": "Data Science",
"validation_state": "validated",
"source_data": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"source_data_type": "job_family_profile_data"
},
{
"external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
"source_data_type": "job_profile_data"
}
],
"governed_proficiency_level": null,
"inferred_proficiency_level": null,
"governed_proficiency_float": null,
"inferred_proficiency_float": null,
"governed_critical": true,
"inferred_critical": null
},
{
"skill": "Deep Learning",
"skill_id": "f1a2b3c4-d5e6-7890-abcd-ef1234567890",
"skill_types": [{ "skill_type": "Family-Specific" }],
"domain_name": "Data Science",
"validation_state": "suggested",
"source_data": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"source_data_type": "job_family_profile_data"
}
],
"governed_proficiency_level": null,
"inferred_proficiency_level": 3,
"governed_proficiency_float": null,
"inferred_proficiency_float": 0.6,
"governed_critical": null,
"inferred_critical": true
}
]